#ifndef RTE_ADC_H
#define RTE_ADC_H

#include "TYW_stdint.h"


uint32_t RTE_ForceRead_KL15_Voltage(void);
uint32_t RTE_ForceRead_KL30_Voltage(void);


uint32_t RTE_Read_KL15_Voltage(void);
uint32_t RTE_Read_KL30_Voltage(void);
uint32_t RTE_Read_PRIMARY_AIR_Voltage(void);
uint32_t RTE_Read_SECONDARY_AIR_Voltage(void);
uint32_t RTE_Read_WET_AIR_Voltage(void);
uint32_t RTE_Read_FUEL_REF_Voltage(void) ;
uint32_t RTE_Read_FUEL_R(void) ;
uint32_t RTE_Read_KEY_R(void) ;
uint32_t RTE_Read_NTC_R(void) ;



uint8_t RTE_Read_KL15_Valid(void);
uint8_t RTE_Read_KL30_Valid(void);
uint8_t RTE_Read_PRIMARY_AIR_Valid(void);
uint8_t RTE_Read_SECONDARY_AIR_Valid(void);
uint8_t RTE_Read_FUEL_REF_Valid(void) ;
uint8_t RTE_Read_FUEL_R_Valid(void) ;
uint8_t RTE_Read_KEY_R_Valid(void) ;
uint8_t RTE_Read_NTC_R_Valid(void) ;
uint8_t RTE_Read_WET_AIR_Value(void);



void RTE_ADC_Init(void);



#endif
